$(document).ready(function() {
    if($('.tx_selfregistration-username-validation-form').length > 0) {
        // there is a validation form present
        $('.tx_selfregistration-username-validation-form').each(function() {
            var form = $(this);
            $('[name="tx_selfregistration_selfregistration[frontendUser][username]"]').keyup(function() {
                var usernameField = $('[name="tx_selfregistration_selfregistration[frontendUser][username]"]');
                form.find('[name="tx_selfregistration_selfregistration[username]"]').attr(
                    'value',
                    usernameField.val()
                );
                $.ajax({
                    type: form.attr('method'),
                    url: form.attr('action'),
                    data: form.serialize(),
                    success: function(data) {
                        if(data.usernameValid) {
                            usernameField.attr('data-valid','1');
                            usernameField.closest('.form-group').find('.bmd-help').html(data.help);
                        } else {
                            usernameField.attr('data-valid','0');
                            usernameField.closest('.form-group').find('.bmd-help').html(data.help);
                        }
                    }
                });
            });
        });
    }
})